package eu.maydu.gwt.validation.client.validators;

import eu.maydu.gwt.validation.client.ValidationAction;
import eu.maydu.gwt.validation.client.ValidationResult;
import eu.maydu.gwt.validation.client.Validator;

public abstract class StringValidator<T extends Validator, H> extends Validator<T, H> {
	
	public H valueHolder;
	
	public StringValidator(H value) {
		
		valueHolder = value;
	}
	
	
	public void invokeActions(ValidationResult result) {
		for(ValidationAction<H> action : getFailureActions()) {
			action.invoke(result, valueHolder);
		}
	}

}
